Learn about our RFC process, Open RFC meetings & more.Join in the discussion! »

trailpack-plv8

1.0.2 • Public • Published

trailpack-plv8

NPM version Build status Dependency Status Code Climate

require() and execute nodejs code in Postgres with PLV8 and Trails. Depends on trailpack-knex.

Install

$ npm install --save trailpack-plv8

Configure

// config/main.js
module.exports = {
  packs: [
    // ... other trailpacks
    require('trailpack-plv8')
  ]
}
// config/plv8.js
module.exports = {
  /**
   * The name of the database store to use; must be defined in config.database.stores
   */
  store: 'some-plv8-store'
}

License

MIT

Maintained By

Install

npm i trailpack-plv8

DownloadsWeekly Downloads

1

Version

1.0.2

License

MIT

Homepage

trailsjs.io

Last publish

Collaborators

  • avatar